# WoopsiUI::SkinnedWindow Class Reference

Inheritance diagram for WoopsiUI::SkinnedWindow:

List of all members.

## Classes
struct | SkinnedWindowFlags
## Public Types
enum | SkinnedWindowFlagType { SKINNED_WINDOW_SHOW_CLOSE = 0x0001, SKINNED_WINDOW_SHOW_DEPTH = 0x0002 }
## Public Member Functions
| SkinnedWindow (s16 x, s16 y, u16 width, u16 height, const char *title, u32 flags, u32 windowFlags, WindowSkin *skin)
virtual void | setBorderless (bool isBorderless)
virtual const u8 | getBorderSize () const
virtual const u8 | getTitleHeight () const
virtual void | getClientRect (Rect &rect) const
virtual bool | click (s16 x, s16 y)
virtual bool | focus ()
virtual bool | blur ()
virtual bool | resize (u16 width, u16 height)
virtual void | handleReleaseEvent (const GadgetEventArgs &e)
virtual void | handleClickEvent (const GadgetEventArgs &e)
virtual void | handleDragEvent (const GadgetEventArgs &e)
virtual void | handleReleaseOutsideEvent (const GadgetEventArgs &e)
virtual void | showCloseButton ()
virtual void | showDepthButton ()
virtual void | hideCloseButton ()
virtual void | hideDepthButton ()
virtual const bool | hasCloseButton () const
virtual const bool | hasDepthButton () const
## Protected Member Functions
virtual void | createBorder ()
virtual | ~SkinnedWindow ()
| SkinnedWindow (const SkinnedWindow &skinnedWindow)
## Protected Attributes
const WindowSkin * | _skin
SkinnedWindowFlags | _windowFlags
SkinnedWindowBorderTop * | _windowBorderTop
SkinnedWindowBorderLeft * | _windowBorderLeft
SkinnedWindowBorderRight * | _windowBorderRight
SkinnedWindowBorderBottom * | _windowBorderBottom
SkinnedWindowCloseButton * | _closeButton
SkinnedWindowDepthButton * | _depthButton

## Member Enumeration Documentation

enum WoopsiUI::SkinnedWindow::SkinnedWindowFlagType

Enum listing flags that can be set in the constructor's "windowFlags" parameter.

Enumerator:

  SKINNED_WINDOW_SHOW_CLOSE | Window shows close button
  SKINNED_WINDOW_SHOW_DEPTH | Window shows depth button

## Constructor & Destructor Documentation

virtual WoopsiUI::SkinnedWindow::~SkinnedWindow | ( |  | ) | `[inline, protected, virtual]`

Destructor.

WoopsiUI::SkinnedWindow::SkinnedWindow | ( | const SkinnedWindow & | skinnedWindow | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

bool SkinnedWindow::blur | ( |  | ) | `[virtual]`

Remove focus from the gadget.

Returns:
  True if the gadget lost focus correctly.

Reimplemented from WoopsiUI::Gadget.

bool SkinnedWindow::click | ( | s16 | x,
|  | s16 | y |
| ) |  |  | `[virtual]`

Click this gadget at the supplied co-ordinates.

Parameters:

  | x | X co-ordinate of the click.
  | y | Y co-ordinate of the click.

Returns:
  True if the click was successful.

Reimplemented from WoopsiUI::Gadget.

bool SkinnedWindow::focus | ( |  | ) | `[virtual]`

Give the gadget focus.

Returns:
  True if the gadget received focus correctly.

Reimplemented from WoopsiUI::Gadget.

void SkinnedWindow::getClientRect | ( | Rect & | rect | ) | const`[virtual]`

Insert the properties of the space within this gadget that is available for children into the rect passed in as a parameter. All co-ordinates are relative to this gadget.

Parameters:

  | rect | Reference to a rect to populate with data.

Reimplemented from WoopsiUI::Gadget.

void SkinnedWindow::handleClickEvent | ( | const GadgetEventArgs & | e | ) | `[virtual]`

Handle a stylus click event.

Parameters:

  | e | The event data.

Reimplemented from WoopsiUI::GadgetEventHandler.

void SkinnedWindow::handleDragEvent | ( | const GadgetEventArgs & | e | ) | `[virtual]`

Handle a stylus drag event.

Parameters:

  | e | The event data.

Reimplemented from WoopsiUI::GadgetEventHandler.

void SkinnedWindow::handleReleaseEvent | ( | const GadgetEventArgs & | e | ) | `[virtual]`

Handle a stylus release event that occurred within the bounds of the source gadget.

Parameters:

  | e | The event data.

Reimplemented from WoopsiUI::GadgetEventHandler.

void SkinnedWindow::handleReleaseOutsideEvent | ( | const GadgetEventArgs & | e | ) | `[virtual]`

Handle a stylus release event that occurred outside the bounds of the source gadget.

Parameters:

  | e | The event data.

Reimplemented from WoopsiUI::GadgetEventHandler.

virtual const bool WoopsiUI::SkinnedWindow::hasCloseButton | ( |  | ) | const`[inline, virtual]`

Does the window have a close button?

Returns:
  True if the window has a close button.

virtual const bool WoopsiUI::SkinnedWindow::hasDepthButton | ( |  | ) | const`[inline, virtual]`

Does the window have a depth button?

Returns:
  True if the window has a depth button.

void SkinnedWindow::hideCloseButton | ( |  | ) | `[virtual]`

Hides the close button if it is visible. Has no effect if the window is borderless. Will redraw the gadget.

void SkinnedWindow::hideDepthButton | ( |  | ) | `[virtual]`

Hides the depth button if it is hidden. Has no effect if the window is borderless. Will redraw the gadget.

bool SkinnedWindow::resize | ( | u16 | width,
|  | u16 | height |
| ) |  |  | `[virtual]`

Resize the gadget to the new dimensions.

Parameters:

  | width | The new width.
  | height | The new height.

Returns:
  True if the resize was successful.

Reimplemented from WoopsiUI::Gadget.

void SkinnedWindow::setBorderless | ( | bool | isBorderless | ) | `[virtual]`

Sets this gadget's border state. This does not redraw the gadget.

Parameters:

  | isBorderless | The border state.

Reimplemented from WoopsiUI::Gadget.

void SkinnedWindow::showCloseButton | ( |  | ) | `[virtual]`

Shows the close button if it is hidden. Has no effect if the window is borderless. Will redraw the gadget.

void SkinnedWindow::showDepthButton | ( |  | ) | `[virtual]`

Shows the depth button if it is hidden. Has no effect if the window is borderless. Will redraw the gadget.

## Member Data Documentation

SkinnedWindowFlags WoopsiUI::SkinnedWindow::_windowFlags`[protected]`

AmigaWindow-specific flags

The documentation for this class was generated from the following files:

- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.39/Woopsi/woopsi/skinnedwindow.h
- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.39/Woopsi/woopsi/skinnedwindow.cpp

All Classes Functions Variables Enumerations Enumerator